# IRremoteESP8266: irparams_t Struct Reference

irparams_t Struct Reference

Information for the interrupt handler. More...

`#include <IRrecv.h>`

## Public Attributes

uint8_t | recvpin
uint8_t | rcvstate
uint16_t | timer
uint16_t | bufsize
uint16_t * | rawbuf
uint16_t | rawlen
uint8_t | overflow
uint8_t | timeout

## Detailed Description

Information for the interrupt handler.

## Member Data Documentation

## bufsize

uint16_t irparams_t::bufsize

## overflow

uint8_t irparams_t::overflow

## rawbuf

uint16_t* irparams_t::rawbuf

## rawlen

uint16_t irparams_t::rawlen

## rcvstate

uint8_t irparams_t::rcvstate

## recvpin

uint8_t irparams_t::recvpin

## timeout

uint8_t irparams_t::timeout

## timer

uint16_t irparams_t::timer

The documentation for this struct was generated from the following file:

- src/IRrecv.h